> ## Documentation Index
> Fetch the complete documentation index at: https://docs.maildiver.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List emails

> **Endpoint:** `v1/emails`

List all emails with pagination support. Returns 50 emails per page.




## OpenAPI

````yaml api-reference/openapi.yml get /emails
openapi: 3.1.0
info:
  title: Send Email API
  description: >
    Send transactional emails through MailDiver.


    ### Base URL

    All API endpoints are prefixed with `api.` subdomain:

    ```

    https://api.maildiver.com

    ```


    For the self-hosted version, if your domain is `example.com`:

    ```

    https://api.example.com

    ```


    ### Endpoint

    ```

    v1/emails

    ```


    ### Authentication

    All API requests require authentication using your API key in the
    Authorization header:

    ```

    Authorization: Bearer your-api-key

    ```
  version: 1.0.0
  license:
    name: MIT
servers:
  - url: https://api.maildiver.com/v1
    description: Production server
    variables:
      domain:
        default: yourdomain.com
        description: Your domain (without the api. prefix)
security:
  - bearerAuth: []
paths:
  /emails:
    get:
      tags:
        - Email
      summary: List emails
      description: |
        **Endpoint:** `v1/emails`

        List all emails with pagination support. Returns 50 emails per page.
      operationId: listEmails
      parameters:
        - name: cursor
          in: query
          required: false
          description: >
            Pagination cursor. If there are more than 50 emails, this cursor
            will be returned in the response.

            Use this cursor in the next request to get the next page of results.
          schema:
            type: string
          example: 0195c413-3fe1-779d-804e-f5f9bd8cd523
      responses:
        '200':
          description: OK
          content:
            application/json:
              examples:
                success:
                  summary: Success response
                  value:
                    emails:
                      - id: 0195c9e3-5067-741d-be87-a4f75ef93372
                        type: transactional
                        to:
                          - recipient@company.com
                        subject: 'Your Order Confirmation #12345'
                        last_event:
                          recipient: recipient@company.com
                          processing_time_millis: 1114
                          reporting_mta: b224-18.smtp-out.eu-central-1.amazonses.com
                          smtp_response: >-
                            250 2.0.0 OK  1742843424
                            ffacd0b85a97d-3997f97d977si6557456f8f.132 - gsmtp
                          status: delivered
                          timestamp: 1742843424147
                        email_sent_timestamp: 1742843423033
                        recipient_statuses:
                          - recipient: recipient@company.com
                            status: delivered
                            timestamp: 1742843424147
                      - id: 0195c413-4e53-77c8-bb52-35087d60e50e
                        type: broadcast
                        to:
                          - recipient@company.com
                        subject: Monthly Newsletter - March 2024
                        last_event:
                          recipient: recipient@company.com
                          type: Permanent
                          subtype: General
                          status: bounced
                          timestamp: 1742751354893
                        email_sent_timestamp: 1742751354368
                        recipient_statuses:
                          - recipient: recipient@company.com
                            status: bounced
                            timestamp: 1742751354893
                            type: Permanent
                            subtype: General
                    count: 50
                    cursor: 0195c413-3fe1-779d-804e-f5f9bd8cd523
        '403':
          description: Forbidden (API key is missing or invalid)
          content:
            application/json:
              examples:
                invalidKey:
                  summary: Invalid API key error
                  value:
                    message: Invalid API key
                    code: invalid_api_key
                invalidHeader:
                  summary: Invalid authorization header error
                  value:
                    message: Invalid authorization header
                    code: invalid_authorization_header
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: API key with format "Bearer {your-api-key}"

````